Subject: Re: [bug#67642] [PATCH 2/5] gnu: Add hatch.

From: Vinicius Monego <[email-masked]>
Date: Tue, 12 Mar 2024 21:15:10 +0000

Hi Simon,

Em 27/02/2024 10:14, Simon Tournier escreveu:
> Hi,
>
> On mar., 05 déc. 2023 at 15:21, Vinicius Monego <[email-masked]> wrote:
>
>> +(define-public hatch
>> +  (package
>> +    (name "hatch")
>> +    (version "1.7.0")
> Following a question in Café Guix, I am giving a look at this.  And I
> see that bug#58310 [1] has:
>
>          +    (name "python-hatch")
>          +    (version "1.10.0")
>
> It leads to two questions:
>
>   1. Why the just name “hatch” and not “python-hatch”?

I remember a convention to name applications without the python- prefix, 
it was only used for libraries. See the pre-commit, gunicorn, hypercorn 
packages for instance.

>
>   2. Why 1.7.0 and not 1.10.0 or higher?
>
>
> 1: [bug#58310] [PATCH 05/14] gnu: Add python-hatch.
> Garek Dyszel via Guix-patches via <[email-masked]>
> Wed, 05 Oct 2022 13:46:04 -0400
> id:[email-masked]
> https://issues.guix.gnu.org/58310
> https://issues.guix.gnu.org/msgid/[email-masked]
> https://yhetil.org/guix/[email-masked]
>
>
> Cheers,
> simon

Looking at the date (2022-10-05), that patch seems to introduce 
python-hatchling and not python-hatch. Hatchling 1.10.0 was released on 
2022-09-19. The latest version of Hatch is 1.9.4, which was released 17 
hours ago. Both packages are tagged in the same repository [1], but are 
distinct packages. Hatchling is the build backend while hatch is a 
Python project management tool.

Vinicius

[1] https://github.com/pypa/hatch/releases